function WBUrl(baseUrl)
{
	this.baseUrl = baseUrl;
	this.parameterArray = new Array();
	this.minupdaterate;
	this.maxupdaterate;
}

WBUrl.prototype.AddParameter = function(parameterName,parameterValue)
{
	if(this.parameterArray == null)
		this.parameterArray = new Array();
		
	this.parameterArray[this.parameterArray.length] = new WBUrlParameter(parameterName,parameterValue);
}

WBUrl.prototype.AddUpdateRate = function(min,max)
{
    this.minupdaterate = min;
    this.maxupdaterate = max;
}

WBUrl.prototype.GetUrl = function()
{
	var url = this.baseUrl;
	
	for(var i = 0; i < this.parameterArray.length; i++)
	{
		// Append either ? or & for correct URL parameter form
		if(i == 0)
			url += "?";
		else
			url += "&";
		
		url += this.parameterArray[i].GetParamPair();
	}
	
	return url;
}

/* WBUrl Parameter Class*/
function WBUrlParameter(paramName,paramValue)
{
	this.paramName = paramName;
	this.paramValue = paramValue;
}
WBUrlParameter.prototype.GetParamPair = function()
{
	var paramString = this.paramName;
	paramString += "=";
	paramString += this.paramValue;
	return paramString;
}

/*WBUrl Parameters Class*/
function WBUrlParameters()
{
	this.ZipCode = "ZipCode";
	this.CityCode = "CityCode";
	
	this.UserId = "UserId";
	this.UserIdValue = "^^^UserId^^^";
	
	this.CategoryId = "CategoryId";
	this.PhotoId = "PhotoId";
	
	this.AppVersion = "AppVersion";
	this.AppVersionValue = "^^^AppVersion^^^";
	
	this.HitType = "HitType"
	this.HitTypeValue = "^^^HitType^^^";
	
	this.ZCode = "ZCode";
	this.ZCodeValue = "^^^ZCode^^^";
}